#!/usr/bin/env python
# -*- coding: utf-8 -*-
# $Id: method_noext.py 757 2010-01-27 19:01:30Z smrcka $
'do not extend, just flatten the model'

import common

def extend(model):
    "apply the *no_extension* method"
    # flatten every "renaming module", i.e., every module containing the 
    # simplest assignment statements only 
    common.flatten_renaming_modules(model)

    # let only one module being sensed by more than one clock signals
    common.flatten_all_asyn_modules(model)

    return model
